## libao0 0.8.8-6

=== Makefile ===
PACKAGE:=libao
VERSION:=0.8.8
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=
URLS:=http://downloads.xiph.org/releases/ao

include ../Rules.make

## libao0 0.8.8-5

=== debian/changelog ===
libao0 (0.8.8-5) fremantle; urgency=low

  * Packaging for Maemo

 -- Micke Nordin <mickewiki@gmail.com>  Mon, 28 Dec 2009 23:01:14 +0100
 

libao (0.8.8-5) unstable; urgency=low

  * Bump to Standards-Version 3.8.0.
  * Remove myself from Uploaders. 

 -- Clint Adams <schizo@debian.org>  Fri, 27 Feb 2009 19:33:14 -0500

libao (0.8.8-4) unstable; urgency=medium

  [ Adeodato Simó ]
  * Capitalize ALSA correctly in the long description. (Closes: #432958)

  [ William Pitcock ]
  * Capitalize ALSA correctly in the long description. (Closes: #432958)
  * debian/control, debian/rules: Add debug symbols package libao-dbg.
  * debian/patches/01_fix_arts_init_wackyness.patch:
    Fix arts_init() wackyness where on non-KDE systems, it causes _exit()
    to be called in ao_initialize().  (Closes: #464638, #461119, #440040).
  * Standards-Version bump; no changes required.

  [ Clint Adams ]
  * Rename XS-VCS-Bzr header to Vcs-Bzr.

 -- Clint Adams <schizo@debian.org>  Fri, 08 Feb 2008 18:20:30 -0500

libao (0.8.8-3) unstable; urgency=low

  * Change default_driver from 'alsa09' to 'alsa' in /etc/libao.conf.
    closes: #427903.

 -- Clint Adams <schizo@debian.org>  Sun, 01 Jul 2007 20:39:56 -0400

libao (0.8.8-2) unstable; urgency=low

  * Make libao2 Replace: libao-pulse, and Suggest: libpulse0. (Closes: #426751)

 -- Adeodato Simó <dato@net.com.org.es>  Wed, 30 May 2007 21:08:19 +0200

libao (0.8.8-1) unstable; urgency=low

  * New upstream release.

  * Add libpulse-dev to Build-Depends, and install the pulse plugin.

  * Drop debian/patches/no_debian_subdir.diff, applied upstream.

  * Install CHANGES as the upstream changelog.

  * Sundry housekeeping changes:
    - update Standards-Version to 3.7.2 (no changes required).
    - use ${binary:Version} instead of ${Source-Version}.
    - remove Emacs cruft from debian/changelog.
    - use quilt.make.

 -- Adeodato Simó <dato@net.com.org.es>  Tue, 29 May 2007 22:12:18 +0200

libao (0.8.6-4) unstable; urgency=low

  * Don't build-depend on libasound2-dev on kfreebsd-amd64. 
    closes: #361484.

 -- Clint Adams <schizo@debian.org>  Sun,  9 Apr 2006 12:55:36 -0400

libao (0.8.6-3) unstable; urgency=low

  * Fix FTBFS on kFreeBSD and Hurd (closes: #272373):
    + don't build-depend on libasound2-dev on kfreebsd-i386 and hurd-i386.
    + pass "--exclude usr/lib/ao/plugins-2/libalsa09." to dh_install if
      DEB_HOST_ARCH_OS is not linux.

 -- Adeodato Simó <dato@net.com.org.es>  Tue, 17 Jan 2006 23:01:05 +0100

libao (0.8.6-2) unstable; urgency=low

  * Switch maintenance to the Debian Xiph.org Maintainers (alioth/pkg-xiph).

  * Change default device from 'oss' to 'alsa09' in /etc/libao.conf. With the
    availability of dmix, this should mean that more users get it working out
    of the box, even if they have a sound daemon running. (Closes: #304421)

  * Move HTML documentation from /usr/share/doc/libao-dev itself to an html/
    subdirectory of it.

  * Update debian/control:
    + drop unnecessary build-dependencies on gawk and devscripts.
    + drop version restriction on debhelper build-dependency, since it's
      already satisfied with stable.

  * Overhaul debian/rules, and switch to quilt for patch management.

  * debian/patches:
    + no_debian_subdir.diff: teach Makefile.in and configure that debian/ is
      not a subdirectory that they should be caring about.

  * Update download URL in debian/copyright.

  * Add debian/watch file.

  * Bumped Standards-Version to 3.6.2 (no changes required).

  * Ship as a non-native package. (Closes: #321624)

  * Drop useless/empty libao2/README.Debian.

 -- Adeodato Simó <dato@net.com.org.es>  Tue, 17 Jan 2006 02:07:19 +0100

libao (0.8.6-1.1) unstable; urgency=low

  * Non-maintainer upload to fix RC bug (FTBFS).
  * Add libxau-dev to Build-Depends, so that the nas plugin is compiled again.
    (Closes: #319343)

 -- Adeodato Simó <asp16@alu.ua.es>  Sat, 06 Aug 2005 16:02:18 +0200

libao (0.8.6-1) unstable; urgency=low

  * New upstream.
  * libao supports polypaudio in source now and will be rebuilt with support
    for it enabled once Debian has polyaudio packages.

 -- Christopher L Cheney <ccheney@debian.org>  Thu, 17 Mar 2005 20:30:00 -0600

libao (0.8.5-1) unstable; urgency=low

  * New upstream.
  * Included NMU fixes. (Closes: #225616, #225983)

 -- Christopher L Cheney <ccheney@debian.org>  Sun, 28 Mar 2004 22:00:00 -0600

libao (0.8.4-1.1) unstable; urgency=medium

  * NMU
  * [debian/control] Added build dependencies on libaudio-dev (for NAS) and
    xlibs-dev (for libXau needed for NAS support). (Closes: #225616)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat,  3 Jan 2004 14:15:00 +0100

libao (0.8.4-1) unstable; urgency=low

  * New upstream.

 -- Christopher L Cheney <ccheney@debian.org>  Fri, 10 Oct 2003 23:00:00 -0500

libao (0.8.3-1.1) unstable; urgency=low

  * Non-maintainer upload sponsored by Joey Hess.
  * Build-depend on libartsc0-dev and suggest libartsc0 instead of
    libarts-dev and libarts (Closes: #189160).
  * GNU config automated update: config.sub (20020621 to 20030509),
    config.guess (20020529 to 20030519)

 -- Dagfinn Ilmari Mannsaker <ilmari@ilmari.org>  Mon, 14 Jul 2003 15:55:31 +0200

libao (0.8.3-1) unstable; urgency=low

  * New upstream. (Closes: #134520, #145785)

 -- Christopher L Cheney <ccheney@debian.org>  Fri, 19 Jul 2002 09:00:00 -0500

libao (0.8.2-1) unstable; urgency=low

  * New upstream. (Closes: #110858)
  * Changed to building alsa 0.9.x plugin instead of obsolete 0.5.x (Closes:
    #103787)
  * added autotools target (config.* updater) to rules

 -- Christopher L Cheney <ccheney@debian.org>  Mon, 24 Dec 2001 11:00:00 -0600

libao (0.8.1-1) unstable; urgency=high

  * New upstream.
  * Plugin dir changed. (Closes: #109071, #109532, #108750, #108755, #108790,
    #109383, #109877, #109383)

 -- Christopher L Cheney <ccheney@debian.org>  Wed, 22 Aug 2001 23:00:00 -0500

libao (0.8.0-1) unstable; urgency=low



=== debian/control ===
Source: libao0
Section: libs
Priority: optional
Maintainer: Micke Nordin <mickewiki@gmail.com>
Uploaders: Micke Nordin <mickewiki@gmail.com>
Build-Depends: autotools-dev, debhelper, quilt, libasound2-dev [!kfreebsd-i386 !hurd-i386 !kfreebsd-amd64], libpulse-dev, libxt-dev, libxau-dev
Standards-Version: 3.8.0
Vcs-Bzr: http://bzr.debian.org/bzr/pkg-xiph/libao

Package: libao02
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Suggests: libartsc0, libasound2, libaudio2, libesd0 | libesd-alsa0, libpulse0
Replaces: libao-pulse
Description: Cross Platform Audio Output Library
 Libao is a cross platform audio output library.  It supports
 ALSA, aRts, ESD, OSS, Pulse, and several others.

Package: libao0-dev
Architecture: any
Section: libdevel
Depends: libao02 (= ${binary:Version}), libc6-dev
Description: Cross Platform Audio Output Library Development
 The libao-dev package contains the header files and documentation
 needed to develop applications with libao.

Package: libao0-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: libao02 (= ${binary:Version})
Description: Cross Platform Audio Output Library Debug Symbols
 The libao-dev package contains the debug symbols for libao.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/quilt/quilt.make

###

# Configure arguments

confflags = --prefix=/usr --enable-static

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

confflags += --build $(DEB_BUILD_GNU_TYPE)

# Only specify --host when cross-compiling
ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
    confflags += --host $(DEB_HOST_GNU_TYPE)
endif

###

# Directory to make the build on

objdir = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)

###

# CFLAGS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

###

# Support non-Linux ports

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifneq (linux,$(DEB_HOST_ARCH_OS))
    DH_INSTALL_EXCLUDE := --exclude usr/lib/ao/plugins-2/libalsa09.
endif

###

$(objdir)/config.status: configure $(QUILT_STAMPFN)
	dh_testdir

	ln -sf /usr/share/misc/config.sub .
	ln -sf /usr/share/misc/config.guess .

	-mkdir $(objdir)
	cd $(objdir) && \
	env CFLAGS="$(CFLAGS)" ../configure $(confflags)

#

build: build-stamp
build-stamp: $(objdir)/config.status
	cd $(objdir) && \
	$(MAKE)

	touch $@

#

clean: unpatch
	dh_testdir
	dh_testroot

	rm -f build-stamp install-stamp
	rm -f config.guess config.sub

	# Remove build tree
	rm -rf $(objdir)

	dh_clean

#

install: install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	cd $(objdir) && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_install --list-missing $(DH_INSTALL_EXCLUDE)
	touch $@ 

#

binary: binary-arch

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installexamples
	dh_installmime
	dh_installman
	dh_link
	dh_strip --dbg-package=libao-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps --exclude=/usr/lib/ao/plugins-2
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:
	@echo "Nothing to do."

#

.PHONY: build clean install binary binary-arch binary-indep

## libao0 0.8.8-5maemo1

=== debian/changelog ===
libao0 (0.8.8-5maemo1) fremantle; urgency=low

  * Initial release 

 -- Micke Nordin <mickewiki@gmail.com>  Tue, 29 Dec 2009 11:10:10 +0100

=== debian/control ===
Source: libao0
Priority: extra
Maintainer: Micke Nordin <mickewiki@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, xutils-dev, libasound2-dev, gnupg, libice-dev, libpulse-dev, libaudio-dev
Standards-Version: 3.7.2
Section: libs

Package: libao0
Section: libdevel
Architecture: any
Description: Cross Platform Audio Output Library
 Libao is a cross platform audio output library.  It supports
 ALSA, aRts, ESD, OSS, Pulse, and several others.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/libao0 install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libao0 0.8.8-5maemo2

=== debian/changelog ===
libao0 (0.8.8-5maemo2) fremantle; urgency=low

  * Optification 

 -- Micke Nordin <mickewiki@gmail.com>  Sat, 02 Jan 2010 11:16:17 +0100
 

=== debian/rules ===
--- 
+++ 
@@ -107,6 +107,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	maemo-optify libao0
 	dh_md5sums
 	dh_builddeb

## libao0 0.8.8-6

=== debian/changelog ===
libao0 (0.8.8-6) fremantle; urgency=low

  * Fix -dev and base package split
  * Use cdbs
  * Remove absolete plugins

 -- Kaj-Michael Lang <milang@tal.org>  Mon, 15 Feb 2010 21:16:17 +0200

=== debian/control ===
Source: libao0
Priority: extra
Maintainer: Kaj-Michael Lang <milang@tal.org>
Original-Maintainer: Micke Nordin <mickewiki@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, xutils-dev, libasound2-dev, libice-dev, libpulse-dev
Standards-Version: 3.7.2
Section: libs

Package: libao0
Section: libs
Architecture: any
Depends: libpulse0, libasound2
Description: Cross Platform Audio Output Library
 Libao is a cross platform audio output library.  It supports
 ALSA, aRts, ESD, OSS, Pulse, and several others.

Package: libao-dev
Section: libdevel
Architecture: any
Depends: libao0
Description: Cross Platform Audio Output Library dev
 Development files for Libao0

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_TAR_SRCDIR:=libao-0.8.8

include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_NORMAL_ARGS:=--prefix=/usr --disable-nas --disable-arts --disable-alsa --disable-alsa09
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=cortex-a8
DEB_OPT_FLAG_i386:=-O2 -fomit-frame-pointer -pipe -march=i686
DEB_OPT_FLAG:=$(DEB_OPT_FLAG_$(DEB_HOST_ARCH))
#DEB_MAKE_INSTALL_TARGET=install BINDIR = $(DEB_DESTDIR)/opt/bin \
#	DATADIR = $(DEB_DESTDIR)/opt/share/uade2 DOCDIR = $(DEB_DESTDIR)/opt/share/doc \
#	MANDIR = $(DEB_DESTDIR)/opt/share/man/man1 LIBDIR = $(DEB_DESTDIR)/opt/lib/uade2
DEB_DESTDIR=$(CURDIR)/debian/tmp

install/libao0::
	install -d -m 755 debian/tmp/opt/lib
	install -d -m 755 debian/tmp/opt/lib/ao/plugins-2

	mv debian/tmp/usr/lib/ao/plugins-2/*.so debian/tmp/opt/lib/ao/plugins-2/
	mv debian/tmp/usr/lib/libao* debian/tmp/opt/lib/

	ln -sf /opt/lib/ao/plugins-2/libpulse.so debian/tmp/usr/lib/ao/plugins-2/libpulse.so

	ln -sf /opt/lib/libao.so debian/tmp/usr/lib/libao.so
	ln -sf /opt/lib/libao.so.2 debian/tmp/usr/lib/libao.so.2
	ln -sf /opt/lib/libao.so.2.1.3 debian/tmp/usr/lib/libao.so.2.1.3

## libao0 0.8.8-7

=== Makefile ===
--- 
+++ 
@@ -6,3 +6,15 @@
 
 include ../Rules.make
 
+ifeq ($(IS_FREMANTLE),y)
+BADRIVERS:=libasound2-dev,libpulse-dev
+ADRIVERS:=libasound2,libpulse0
+else
+BADRIVERS:=libasound2
+ADRIVERS:=libasound2
+endif
+
+debian/control:: debian/control.in Makefile debian/rules debian/changelog
+	@echo "*** Using audio driver(s): $(ADRIVER)"
+	sed -e s/@BAUDIODRIVERS@/$(BADRIVERS)/ debian/control.in > debian/control
+	sed -i -e s/@AUDIODRIVERS@/$(ADRIVERS)/ debian/control

=== debian/changelog ===
libao0 (0.8.8-7) fremantle; urgency=low

  * Move *.so to -dev

 -- Kaj-Michael Lang <milang@tal.org>  Mon, 21 Feb 2011 13:04:17 +0200

=== debian/control ===
Source: libao0
Priority: extra
Maintainer: Kaj-Michael Lang <milang@tal.org>
Original-Maintainer: Micke Nordin <mickewiki@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, xutils-dev, libice-dev, libasound2-dev,libpulse-dev
Standards-Version: 3.7.2
Section: libs

Package: libao0
Section: libs
Architecture: any
Depends: libasound2,libpulse0
Description: Cross Platform Audio Output Library
 Libao is a cross platform audio output library.  It supports
 ALSA, aRts, ESD, OSS, Pulse, and several others.

Package: libao-dev
Section: libdevel
Architecture: any
Depends: libao0
Description: Cross Platform Audio Output Library dev
 Development files for Libao0

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_TAR_SRCDIR:=libao-0.8.8

include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/class/autotools.mk

IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)

ifeq ($(IS_FREMANTLE),y)
DEB_CONFIGURE_NORMAL_ARGS:=--prefix=/usr --disable-nas --disable-arts --disable-alsa --disable-alsa09
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=cortex-a8
else
DEB_CONFIGURE_NORMAL_ARGS:=--prefix=/usr --disable-nas --disable-arts
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe
endif
DEB_OPT_FLAG_i386:=-O2 -fomit-frame-pointer -pipe -march=i686
DEB_OPT_FLAG:=$(DEB_OPT_FLAG_$(DEB_HOST_ARCH))

DEB_DESTDIR=$(CURDIR)/debian/tmp

install/libao0::
ifeq ($(IS_FREMANTLE),y)
	install -d -m 755 debian/tmp/opt/lib
	install -d -m 755 debian/tmp/opt/lib/ao/plugins-2

	mv debian/tmp/usr/lib/ao/plugins-2/*.so debian/tmp/opt/lib/ao/plugins-2/
	mv debian/tmp/usr/lib/libao* debian/tmp/opt/lib/

	ln -sf /opt/lib/ao/plugins-2/libpulse.so debian/tmp/usr/lib/ao/plugins-2/libpulse.so

	ln -sf /opt/lib/libao.so debian/tmp/usr/lib/libao.so
	ln -sf /opt/lib/libao.so.2 debian/tmp/usr/lib/libao.so.2
	ln -sf /opt/lib/libao.so.2.1.3 debian/tmp/usr/lib/libao.so.2.1.3
endif
